> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aseed.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Projects

> Get all projects for the current user.

Returns:
- List of ProjectResponse



## OpenAPI

````yaml /api-reference/openapi-filtered.json get /projects/
openapi: 3.1.0
info:
  title: Aseed Insight API
  version: 0.1.0
servers:
  - url: https://app.aseed.ai/custdev
security: []
tags:
  - name: insight
    description: 'Core insight endpoints: records, transcripts, generation, and chat.'
    x-displayName: Insight
  - name: insight_public
    description: Public insight endpoints for shared/public access.
    x-displayName: Insight Public
  - name: projects
    description: Project management endpoints.
    x-displayName: Projects
  - name: project_reports
    description: Project report generation and management endpoints.
    x-displayName: Project Reports
  - name: project_reports_public
    description: Public project report endpoints.
    x-displayName: Project Reports Public
  - name: prompts
    description: Custom prompts management endpoints.
    x-displayName: Prompts
  - name: presets
    description: Presets and templates endpoints.
    x-displayName: Presets
  - name: agent
    description: AI agent threads and chat endpoints.
    x-displayName: Agent
  - name: interviews
    description: AI interviewer room and session endpoints.
    x-displayName: Interviews
  - name: webhooks
    description: Incoming webhook endpoints.
    x-displayName: Webhooks
paths:
  /projects/:
    get:
      tags:
        - projects
      summary: Get Projects
      description: |-
        Get all projects for the current user.

        Returns:
        - List of ProjectResponse
      operationId: get_projects_projects__get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ProjectResponse'
                type: array
                title: Response Get Projects Projects  Get
      security:
        - HTTPBearer: []
components:
  schemas:
    ProjectResponse:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        status:
          type: string
          title: Status
        records_count:
          type: integer
          title: Records Count
        total_reports_count:
          type: integer
          title: Total Reports Count
        created_at:
          type: string
          format: date-time
          title: Created At
        research_goals:
          anyOf:
            - type: string
            - type: 'null'
          title: Research Goals
        interview_guide:
          anyOf:
            - type: string
            - type: 'null'
          title: Interview Guide
        owner_email:
          anyOf:
            - type: string
            - type: 'null'
          title: Owner Email
      type: object
      required:
        - id
        - name
        - description
        - status
        - records_count
        - total_reports_count
        - created_at
      title: ProjectResponse
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````